import { Key } from '../interfaces';
/**
 * This method is like `fromPairs` except that it accepts two arrays, one of property identifiers and one of corresponding values.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 1,812 bytes
 * - Micro-dash: 303 bytes
 */
export declare function zipObject<K extends [Key], V extends [any, ...any[]]>(props: K, values: V): {
    [k in K[0]]: V[0];
};
export declare function zipObject<K extends [Key, Key], V extends [any, any, ...any[]]>(props: K, values: V): {
    [k in K[0]]: V[0];
} & {
    [k in K[1]]: V[1];
};
export declare function zipObject<K extends [Key, Key, Key], V extends [any, any, any, ...any[]]>(props: K, values: V): {
    [k in K[0]]: V[0];
} & {
    [k in K[1]]: V[1];
} & {
    [k in K[2]]: V[2];
};
export declare function zipObject<K extends [Key, Key, Key, Key], V extends [any, any, any, any, ...any[]]>(props: K, values: V): {
    [k in K[0]]: V[0];
} & {
    [k in K[1]]: V[1];
} & {
    [k in K[2]]: V[2];
} & {
    [k in K[3]]: V[3];
};
export declare function zipObject<K extends Key, V>(props: K[], values: V[]): {
    [k in K]: V | undefined;
};
