import { ArrayIteratee, ObjectIteratee } from '../interfaces';
/**
 * This method is like `forEach` except that it iterates over elements of `collection` from right to left.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 3,776 bytes
 * - Micro-dash: 232 bytes
 */
export declare function forEachRight<T>(array: T[] | undefined, iteratee: ArrayIteratee<T, void | boolean>): T[];
export declare function forEachRight<T>(object: T | undefined, iteratee: ObjectIteratee<T, void | boolean>): T;
/** @hidden */
export declare function forEachRightOfArray<T>(array: T[], iteratee: ArrayIteratee<T, void | boolean>): void;
