import { ArrayIteratee, ObjectIteratee } from '../interfaces';
/**
 * Creates an array of values by running each element in `collection` thru `iteratee`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 13,936 bytes
 * - Micro-dash: 293 bytes
 */
export declare function map<I, O>(array: I[] | undefined, iteratee: ArrayIteratee<I, O>): O[];
export declare function map<T, O>(object: T | undefined, iteratee: ObjectIteratee<T, O>): O[];
