import { Existent, Primitive, ValueIteratee } from '../interfaces';
/**
 * This method is like `min` except that it accepts `iteratee` which is invoked for each element in `array` to generate the criterion by which the value is ranked.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 8,302 bytes
 * - Micro-dash: 165 bytes
 */
export declare function minBy<T extends Existent>(array: T[], iteratee: ValueIteratee<T, Primitive>): T;
