import { ObjectIteratee } from '../interfaces';
/**
 * This method is like `forOwn` except that it iterates over properties of `object` in the opposite order.
 *
 * Differences from lodash:
 * - does not treat sparse arrays as dense
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 3,506 bytes
 * - Micro-dash: 188 bytes
 */
export declare function forOwnRight<T>(object: T, iteratee: ObjectIteratee<T, void | boolean>): T;
/** @hidden */
export declare function forOwnRightOfNonArray<T>(object: T, iteratee: ObjectIteratee<T, void | boolean>): T;
